import { useState  } from 'react';

// import stysheet defining style specific to this component
import '../style/person.css';

/*
* define a component that uses props, props is a javascript object
*/
const Person = ( { name = 'Anonymous' , age , delay } ) => {
   
   const [ currentAge, setCurrentAge ] = useState(age);

   // become older every delay ms
   setInterval( () => setCurrentAge( currentAge + 1 ), delay);

   return (
      <div className="person">Here is :
         <div>name : <span>{ name }</span> </div>
         <div>age  : <span>{ currentAge } </span>  </div>
      </div>
   );
}
export default Person;
